Skip to main content
GET
cURL
Retrieve a future transaction by the required future_transaction_id query parameter. Use the recurring status endpoint to retrieve the future transactions associated with a recurring series.

Authorizations

x-signature
string
header
required

Lowercase hex HMAC-SHA256 of {x-timestamp}.{METHOD}.{path_with_query}.{raw_body} keyed with your API secret. See https://www.smartretry.com/docs/authentication.

x-timestamp
string
header
required

Current Unix time in seconds; must be within 5 minutes of server time and match the value used in the signature.

Path Parameters

terminal_friendly_id
string
required

The unique identifier of the terminal.

Required string length: 6
Pattern: ^[\dA-Za-z]{6}$

Query Parameters

future_transaction_id
string
required

The future transaction identifier.

Required string length: 8
Pattern: ^[\dA-Za-z]{8}$
recurring_id
string
required

The recurring subscription identifier this future transaction belongs to.

Required string length: 8
Pattern: ^[\dA-Za-z]{8}$

Response

Default Response

future_transaction_id
string
required
Required string length: 8
Pattern: ^[\dA-Za-z]{8}$
recurring_id
string
required
Required string length: 8
Pattern: ^[\dA-Za-z]{8}$
scheduled_date
string
required

Scheduled date and time for this payment (ISO 8601).

sequence_number
integer
required
Required range: x >= 1
status
enum<string>
required
Available options:
pending,
processing,
completed,
skipped,
failed,
cancelled,
expired
amount
number
required
Required range: x >= 0.01
currency
string
required

ISO 4217 currency code, e.g. one of CurrencyKey.

notes
string
executed_transaction
string

Transaction ID created when this future transaction was executed.

executed_at
string

Execution date/time (ISO 8601).